Summary: gtkhtml library
Name: gtkhtml3
Version: 3.0.9
Release: 4.XOS.1
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gtkhtml/gtkhtml-%{version}.tar.gz
Patch0: gtkhtml-3.0.9-gtype.patch
Patch1: gtkhtml-3.0.9-xim.patch
BuildRoot: %{_tmppath}/gtkhtml-%{version}-root
BuildRequires: libgnomeui-devel >= 2.0
BuildRequires: libgnomeprint22-devel >= 2.2.0
BuildRequires: libgnomeprintui22-devel >= 2.2.1
BuildRequires: libglade2-devel >= 2.0
BuildRequires: libgal2-devel >= 2:1.99.9
BuildRequires: gail-devel
BuildRequires: libsoup-devel
BuildRequires: libtool, gettext

%description
GtkHTML is a lightweight HTML rendering/printing/editing engine.  It
was originally based on KHTMLW, but is now being developed
independently of it.

%package devel
Summary: Libraries, includes, etc to develop gtkhtml applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnomeui-devel >= 2.0
Requires: libgnomeprint22-devel >= 2.2.0
Requires: libgnomeprintui22-devel >= 2.2.1
Requires: libglade2-devel >= 2.0
Requires: libgal2-devel >= 2:1.99.9

%description devel
Libraries and include files that can be used to develop GtkHTML applications.

%prep
%setup -q -n gtkhtml-%{version}
%patch0 -p1 -b .gtype
%patch1 -p1 -b .xim

%build
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/gtkhtml/*.la

%find_lang gtkhtml-3.0

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gtkhtml-3.0.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{_libdir}/*.so.*
%{_libdir}/*.so.*
%{_libdir}/gtkhtml/*.so
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gtkhtml-3.0

%files devel
%defattr(-, root, root)
%{_includedir}/libgtkhtml-3.0
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/gtkhtml/*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 3.0.9-4.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on gtkhtml3-3.0.9-4.src.rpm
  (md5sum of original source rpm: 8e29c7427d1e1f4c8f2ecc0efa3285dc).

* Thu Sep 25 2003 Jeremy Katz <katzj@redhat.com> 3.0.9-4
- add patch for XIM (#91481)

* Tue Sep 23 2003 Jeremy Katz <katzj@redhat.com> 3.0.9-3
- rebuild

* Fri Sep 19 2003 Jeremy Katz <katzj@redhat.com> 3.0.9-2
- add patch to fix crash on ia64

* Fri Sep 19 2003 Jeremy Katz <katzj@redhat.com> 3.0.9-1
- 3.0.9

* Mon Sep  8 2003 Jeremy Katz <katzj@redhat.com> 
- add some buildrequires (#103901)

* Thu Sep  4 2003 Jeremy Katz <katzj@redhat.com> 3.0.8-3
- patch from upstream copy for new libbonobo oddities (#103730)

* Mon Aug  4 2003 Jeremy Katz <katzj@redhat.com> 3.0.8-1
- 3.0.8

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 3.0.7-1
- 3.0.7

* Wed Jun 11 2003 Jeremy Katz <katzj@redhat.com> 
- add some buildrequires (#97181)

* Tue Jun 10 2003 Jeremy Katz <katzj@redhat.com> 3.0.5-2
- rebuild

* Mon Jun  9 2003 Jeremy Katz <katzj@redhat.com> 3.0.5-1
- 3.0.5

* Wed Jun 5 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun  5 2003 Jeremy Katz <katzj@redhat.com> 3.0.4-3
- rebuild

* Mon May 26 2003 Jeremy Katz <katzj@redhat.com> 3.0.4-2
- rebuild to fix deps

* Sun May 25 2003 Jeremy Katz <katzj@redhat.com> 3.0.4-1
- 3.0.4

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 3.0.3-1
- 3.0.3

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 3.0.2-2
- libtool's revenge

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 3.0.2-1
- update to 3.0.2

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 1.1.9-1
- update to 1.1.9

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-6
- rebuild for new gal

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com> 1.1.8-5
- debuginfo rebuild

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-4
- gtkhtml capplet doesn't need to be in the menus; it's configurable 
  from within evolution

* Mon Feb 10 2003 Akira TAGOH <tagoh@redhat.com> 1.1.8-3
- don't use fontset as default. (#83899)
- improve the default font for CJK.

* Sat Feb  8 2003 Akira TAGOH <tagoh@redhat.com> 1.1.8-2
- hack to modify po dynamically to add currect XLFD for CJK.
- re-enable patches.

* Fri Feb  7 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-1
- 1.1.8
- disable tagoh's patch for now.  it's not applied upstream and ends up 
  backing out some translation changes

* Fri Feb  7 2003 Akira TAGOH <tagoh@redhat.com> 1.1.7-4
- gtkhtml-1.1.7-fixfont.patch: applied to allow fontset by default.
- gtkhtml-po.tar.bz2: to changes default display/print fonts for CJK.
  perhaps it should be removed when the upstream will releases the next version.
- gtkhtml-1.1.7-domain.patch: define GNOME_EXPLICIT_TRANSLATION_DOMAIN as gtkhtml-1.1.

* Wed Feb  5 2003 Bill Nottingham <notting@redhat.com> 1.1.7-2
- fix some spewage to stdout/stderr

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 1.1.7-1
- update to 1.1.7

* Tue Nov 12 2002 Jeremy Katz <katzj@redhat.com> 1.1.6-1
- update to 1.1.6

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com> 1.1.5-3
- rebuild to really fix Xlib paths now that gnome-libs is fixed

* Tue Nov  5 2002 Jeremy Katz <katzj@redhat.com> 1.1.5-2
- rebuild to fix Xlib paths in .pc files

* Fri Nov  1 2002 Jeremy Katz <katzj@redhat.com> 1.1.5-1
- update to 1.1.5

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 1.1.4-1
- remove unwanted files from buildroot
- update to 1.1.4

* Thu Sep 26 2002 Jeremy Katz <katzj@redhat.com>
- make sure we get all of the stuff from %%{_datadir}/gtkhtml-1.1

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.1.2

* Tue Jul 23 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem with finding the closest size

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.4
- remove .la files

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Jeremy Katz <katzj@redhat.com>
- tweak buildrequires for libcapplet0-devel

* Tue Mar 19 2002 Jeremy Katz <katzj@redhat.com>
- update to gtkhtml 1.0.2

* Thu Mar  7 2002 Jeremy Katz <katzj@redhat.com>
- remove superflous capplet entry (#59698)

* Mon Jan 14 2002 Jeremy Katz <katzj@redhat.com>
- rebuild to get rid of ridiculous libgal18 linkage

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.1

* Sun Dec  2 2001 Jeremy Katz <katzj@redhat.com>
- update to 1.0.0

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- update to 0.16.1

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- updated to 0.16

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 0.15

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- 0.14
- remove --without-bonobo
- langify

* Mon Aug 20 2001 Alexander Larsson <alexl@redhat.com> 0.9.2-9
- Moved gnome-conf file to the devel package
- Fixes SHOULD-FIX bug #49796

* Mon Jul 30 2001 Alexander Larsson <alexl@redhat.com> 
- Added dependencies on -devel packages from the gtkhtml-devel package

* Fri Jul 20 2001 Alexander Larsson <alexl@redhat.com>
- Add more build dependencies

* Thu Jul 17 2001 Bill Nottingham <notting@redhat.com>
- fix devel package requirements

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- changed bad groups
- laguified package

* Tue Jul 03 2001 Havoc Pennington <hp@redhat.com>
- fix X11/libraries -> X11/Libraries, #47137 

* Wed Jun 13 2001 Bill Nottingham <notting@redhat.com>
- fix brokenness due to gal damage

* Wed Jun  6 2001 Bill Nottingham <notting@redhat.com>
- adapt included specfile
